package com.friday.tooldriver.po.taieoc;

import com.friday.operation.api.tooldriver.dto.rpa.CodePackageDto;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CodePackagePo {
    /**
     * 主键ID
     */
    private Integer id;
    /**
     * 任务来源
     */
    private Integer ocTenantKey;
    /**
     * 流程
     */
    private String packageName;
    /**
     * 运行机器
     */
    private String version;
    /**
     * 任务出参
     */
    private String filePath;
    /**
     * 是否有效
     */
    private Boolean valid;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public CodePackageDto transToCodePackage(){
        return CodePackageDto.builder()
                .name(this.getPackageName())
                .version(this.getVersion())
                .key(String.join(":", this.getPackageName(), this.getVersion()))
                .build();
    }
}
